CREATE TABLE gtg_notif_type (
    ID                         NUMBER(19, 0)     NOT NULL,
    NOTIFICATION_TYPE          VARCHAR2(400) ,
    EMAIL_NOTIFICATION_TYPE    VARCHAR2(400) ,
    SUBJECT                    VARCHAR2(400) ,
    HEADER                     VARCHAR2(800) ,
    BODY                       VARCHAR2(4000),
    FOOTER                     VARCHAR2(800) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    ID                         NUMBER(19, 0)     NOT NULL,
    NOTIFICATION_TYPE          VARCHAR2(400) ,
    EMAIL_NOTIFICATION_TYPE    VARCHAR2(400) ,
    SUBJECT                    VARCHAR2(400) ,
    HEADER                     VARCHAR2(800) ,
    BODY                       VARCHAR2(4000),
    FOOTER                     VARCHAR2(800) ,
    CREATED_BY                 VARCHAR2(256)     NOT NULL,
    CREATION_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128) ,
    CONSTRAINT pk_gtg_notif_type PRIMARY KEY (NOTIFICATION_TYPE, EMAIL_NOTIFICATION_TYPE, NOTIFICATION_TYPE, EMAIL_NOTIFICATION_TYPE)
);
